# Interface CaseLabelTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `ConstantCaseLabelTree, DefaultCaseLabelTree, PatternCaseLabelTree`

public interface CaseLabelTree extends Tree
A marker interface for `Tree`s that may be used as `CaseTree` labels.

Since:
  21

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.